<section
  class="my-mapset-stepper"
  *ngIf="vm$ | async as vm"
>
  <app-stepper-form
    [ngClass]="[jds.d('block'), jds.mt(24), jds.mb(34)]"
    [stepper]="stepper"
    [current]="selectedIndex"
  />

  <div [ngTemplateOutlet]="selected ? selected.content : null"></div>

  <div
    [ngClass]="[
      jds.d('flex'),
      jds.justifyContent(selectedIndex !== 0 ? 'between' : 'end'),
      jds.mt(32),
      jds.mb(10)
    ]"
  >
    <div *ngIf="selectedIndex !== 0">
      <button
        jdsBiButton
        colorScheme="gray"
        cdkStepperPrevious
        variant="outline"
        type="button"
        name="previous"
      >
        Kembali
      </button>
    </div>
    <div
      [ngClass]="[jds.d('flex')]"
      [style.gap.px]="16"
    >
      <button
        *ngIf="selectedIndex === 0"
        [disabled]="!vm.mapsetFormGroup.valid"
        [colorScheme]="colorScheme"
        jdsBiButton
        cdkStepperNext
        variant="solid"
        type="button"
        name="next-information-metadata"
      >
        Selanjutnya
      </button>
      <button
        *ngIf="selectedIndex === 1"
        [disabled]="!vm.mapsetAttributeFormGroup.valid"
        [colorScheme]="colorScheme"
        jdsBiButton
        cdkStepperNext
        variant="solid"
        type="button"
        name="next-attribute"
      >
        Selanjutnya
      </button>
      <button
        *ngIf="
          selectedIndex === steps.length - 1 &&
          (param.status === null || param.status === 'draft-active')
        "
        [colorScheme]="colorScheme"
        (click)="onSubmit('draft')"
        jdsBiButton
        variant="outline"
        type="submit"
        name="draft"
      >
        Simpan Sebagai Draf
      </button>
      <button
        *ngIf="selectedIndex === steps.length - 1"
        [disabled]="
          !vm.mapsetFormGroup.valid || !vm.mapsetAttributeFormGroup.valid
        "
        [colorScheme]="colorScheme"
        (click)="onSubmit('submit')"
        jdsBiButton
        cdkStepperNext
        variant="solid"
        type="submit"
        name="submit"
      >
        Selanjutnya
      </button>
    </div>
  </div>
</section>
